# class Racc::Reduce

### Attributes

refn[R]
rule[R]

### Public Class Methods

new(rule) click to toggle source

    # File lib/racc/state.rb, line 898
    def initialize(rule)
      @rule = rule
      @refn = 0
    end

### Public Instance Methods

decref() click to toggle source

    # File lib/racc/state.rb, line 918
    def decref
      @refn -= 1
      raise 'racc: fatal: act.refn < 0' if @refn < 0
    end

incref() click to toggle source

    # File lib/racc/state.rb, line 914
    def incref
      @refn += 1
    end

inspect() click to toggle source

    # File lib/racc/state.rb, line 910
    def inspect
      "<reduce #{@rule.ident}>"
    end

ruleid() click to toggle source

    # File lib/racc/state.rb, line 906
    def ruleid
      @rule.ident
    end